% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/novel_alleles.R
\name{assignAlleleGroups}
\alias{assignAlleleGroups}
\title{Find indicies of allele calls}
\usage{
assignAlleleGroups(allele_calls, allele_min = 1e-04, binomial_cutoff = TRUE,
  alpha = 0.05)
}
\arguments{
\item{allele_calls}{\code{character} vector respresenting Ig allele
calls. Calls may consist of multiple
comma-separated alleles.}

\item{allele_min}{\code{numeric} indicating the minimum fraction of
\code{allele_calls} that must contain an allele
for it to be retained. Integers of 1 or greater
are interprted as a minumum sequence count.}

\item{binomial_cutoff}{\code{logical} indicating if an \code{allele_min}
cutoff < 1 should be applied in a binomial manner.}

\item{alpha}{\code{numeric} indicating the alpha cutoff used
when applying a binomial cutoff of
\code{allele_min}.}
}
\value{
\code{list} of indicies in \code{allele_calls} where each unique
input allele can be found.
}
\description{
\code{assignAlleleGroups} determines the locations of unique alleles within a
mixed group.
}
\examples{
# Create a sample vector of allele calls
allele_names = c("IGHV1-69D*01","IGHV1-69*01","IGHV1-2*01","IGHV1-69-2*01",
"IGHV2-5*01","IGHV1-NL1*01","IGHV1-2*02", "IGHV1-69*02")
allele_counts = c(24, 15, 26, 36, 15, 43, 2, 42)
alleles = rep(allele_names, allele_counts)

# Find how many of each allele there are
assignAlleleGroups(alleles)
}

