% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/genotype.R
\name{compareGenotypes}
\alias{compareGenotypes}
\title{Compare two genotypes}
\usage{
compareGenotypes(genotype1, genotype2)
}
\arguments{
\item{genotype1}{a genotype of the type returned by
\code{\link{inferGenotype}}}

\item{genotype2}{a genotype of the type returned by
                     \code{\link{inferGenotype}}}
}
\value{
A data frame indicating which alleles are unique to each genotype
          or shared between then two
}
\description{
\code{compareGenotypes} takes two genotypes, binds them together by gene,
and adds columns indicating the alleles only in the first, the alleles only
in the second, and the alleles shared between the two.
}
\examples{
# Load example data
data(sample_db)

# Determine a genotype
geno = geno2 = inferGenotype(sample_db[,"V_CALL"])
# Shuffle the gene names to make a different "genotype"
geno2$gene = sample(geno2$gene)

# Compare the two genotypes
compareGenotypes(geno, geno2)
}
\seealso{
\code{\link{inferGenotype}}
}

