% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/genotype.R
\name{compareSepString}
\alias{compareSepString}
\title{Compare two strings of separated values}
\usage{
compareSepString(string1, string2, value = "both", sep = ",")
}
\arguments{
\item{string1}{a string of separated values, usually by a comma}

\item{string2}{a second string of separated values, usually by a comma}

\item{value}{what values to return. If "both" the intersection of the
values will be returned. "only1" and "only2" will return,
respectively, the values only in the first string or only
in the second string.}

\item{sep}{the separator that should be used to divide up the strings
                   before comparing the values they hold}
}
\value{
A string of values representing the intersection or difference of
          of the input strings, separated in the same manner as the input
}
\description{
\code{compareSepString} takes two strings, usually comma-separated, and
returns their intersection or difference in the form of a string using the
same separator.
}
\examples{
compareSepString("1,2,5,6", "1,5,7", value="both")
compareSepString("1,2,5,6", "1,5,7", value="only1")
compareSepString("1,2,5,6", "1,5,7", value="only2")
}

