% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/novel_alleles.R
\name{createGermlines}
\alias{createGermlines}
\title{Create sequences with each combination of polymorphisms}
\usage{
createGermlines(germline, positions, nucleotides)
}
\arguments{
\item{positions}{a vector of positions which to be changed}

\item{nucleotides}{a vector of nucletides to which to change the
positions}

\item{sequence}{the starting nucletide sequence}
}
\value{
Each combination of sequences with the desired nucleotides in
          provided locations, with names indicating the insertion(s) in the
          form _[germline_nucleotide][position][inserted_nucleotide].
}
\description{
\code{createGermlines} inserts nucleotides in the desired locations of a
provided sequence, for each combination of possible insertions.
}
\details{
The nucletoide sequence provided should be named, and will serve
          as the basis of the resulting names. For example, a sequence named
          IGHV1-2*02 with position 163 mutated to a C (from a T) will be
          named 1-2*01_T163C.
}
\examples{
# Insert each combination of letters at the listed locations
# Note that 3! is 6
createGermlines("hugged", c(1,2,6), c("t","i","r"))
}
\seealso{
\code{\link{insertPolymorphisms}}
}

