% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/genotype.R
\name{genotypeFasta}
\alias{genotypeFasta}
\title{Return the nucleotide sequences of a genotype}
\usage{
genotypeFasta(genotype, germline_db)
}
\arguments{
\item{genotype}{a table of alleles denoting a genotype, as returned by
\code{\link{inferGenotype}}}

\item{germline_db}{a vector of named nucleotide germline sequences
                       matching the alleles detailed in \code{genotype}}
}
\value{
A named vector of strings containing the germline nucleotide
          sequences of the alleles in the provided genotype
}
\description{
\code{genotypeFasta} converts a genotype table into a vector of nucleotide
sequences.
}
\examples{
# Load example data
data(germline_ighv)
data(sample_db)

# Infer and view a genotype from the sample
geno = inferGenotype(updateAlleleNames(sample_db[,"V_CALL"]))
geno

# Return the sequences that correspond to the genotype
genotypeFasta(geno, germline_ighv)
}
\seealso{
\code{\link{inferGenotype}}
}

