% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/novel_alleles.R
\name{getSegment}
\alias{getAllele}
\alias{getFamily}
\alias{getGene}
\alias{getSegment}
\title{Get Ig segment allele, gene and family names}
\usage{
getSegment(segment_call, segment_regex, first = TRUE, collapse = TRUE,
  sep = ",")

getAllele(segment_call, first = TRUE, collapse = TRUE, sep = ",")

getGene(segment_call, first = TRUE, collapse = TRUE, sep = ",")

getFamily(segment_call, first = TRUE, collapse = TRUE, sep = ",")
}
\arguments{
\item{segment_call}{character vector containing segment calls delimited by commas.}

\item{segment_regex}{string defining the segment match regular expression.}

\item{first}{if \code{TRUE} return only the first call in \code{segment_call};
if \code{FALSE} return all calls delimited by commas.}

\item{collapse}{if \code{TRUE} check for duplicates and return only unique segment
assignments; if \code{FALSE} return all assignments (faster).
Has no effect if \code{first=TRUE}.}

\item{sep}{character defining both the input and output segment call delimiter.}
}
\value{
A character vector containing allele, gene or family names
}
\description{
\code{getSegment} performs generic matching of delimited segment calls with a custom regular
expression. \code{getAllele}, \code{getGene} and \code{getFamily} extract the allele, gene and
family names, respectively, from a character vector of immunoglobulin (Ig) segment allele calls
in IMGT format.
}
\examples{
kappa_call <- c("Homsap IGKV1-39*01 F,Homsap IGKV1D-39*01 F", "Homsap IGKJ5*01 F")

getAllele(kappa_call)
getAllele(kappa_call, first=FALSE)

getGene(kappa_call)
getGene(kappa_call, first=FALSE)

getFamily(kappa_call)
getFamily(kappa_call, first=FALSE)
getFamily(kappa_call, first=FALSE, collapse=TRUE)
}
\references{
\url{http://imgt.org}
}
\seealso{
Uses \code{\link{str_extract}}.
}

