% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/tigger_wrapper.R
\name{readGermlineDb}
\alias{readGermlineDb}
\title{Read a germline database}
\usage{
readGermlineDb(fasta_file, strip_down_name = TRUE, force_caps = TRUE)
}
\arguments{
\item{fasta_file}{fasta-formatted file of immunoglobuling sequences}

\item{strip_down_name}{if \code{TRUE}, will extract only the allele name
from the strings fasta file's sequence names}

\item{force_caps}{if \code{TRUE}, will force nucleotides to
uppercase}
}
\value{
a named vector of strings respresenting Ig alleles
}
\description{
\code{readGermlineDb} reads a fasta-formatted file of immunoglobulin (Ig)
sequences and returns a named vector of those sequences.
}
\examples{
\dontrun{
## Read an imaginary file called "foo.fasta"
foo = readGermlineDb("foo.fasta")
}
}

