% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/novel_alleles.R
\name{summarizeMutations}
\alias{summarizeMutations}
\title{Find positional mutation counts vs sequence-wide mutation count}
\usage{
summarizeMutations(mut_list, match_list)
}
\arguments{
\item{mut_list}{a list of the nucleotide positions of any differences
between the two vectors of sequences, as generated by
\code{getMutatedPositions}.}

\item{match_list}{a list of the nucleotide positions of any
similarities between the two vectors of sequences,
as generated by \code{getMutatedPositions} where
\code{match_instead = TRUE}.}
}
\value{
A list containing two matricies. The first details counts of
          sequences mutated at given positions (rows) mutated as a
          function of sequence-wide mutation count (columns). The second is
          details how many usable nucleotides (i.e., not gaps or Ns) were
          found for each combination of position and sequence-wide mutation
          count.
}
\description{
\code{summarizeMutations} takes the positions of that are similar and that
are different between a set of sequences and a germline, and returns a pair
of tables summarizing the positional mutation counts.
}
\examples{
# Create strings to act as a sample sequences and a reference sequence
seqs = c("----GATA","GAGAGAGA","TANA")
ref = "GATAGATA"

# Find the differences/similarities between the two
muts = getMutatedPositions(seqs, ref)
matches = getMutatedPositions(seqs, ref, match_instead =TRUE)

# Find positional mutation and nucleotide counts
summarizeMutations(muts, matches)
}
\seealso{
\code{\link{getMutatedPositions}}
}

