% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/tigger.R
\docType{package}
\name{tigger}
\alias{tigger}
\alias{tigger-package}
\title{tigger}
\description{
Here we provide a *T*ool for *I*mmuno*g*lobulin *G*enotype *E*lucidation via
*R*ep-Seq (TIgGER). TIgGER inferrs the set of Ig alleles carried by an
individual (including any novel alleles) and then uses this set of alleles to
correct the initial assignments given to sample sequences by existing tools.
}
\details{
Immunoglobulin Repertoire-Sequencing (Rep-Seq) data is currently the
subject of much study. A key step in analyzing these data involves assigning
the closest known V(D)J germline alleles to the (often somatically mutated)
sample sequences using a tool such as IMGT/HighV-QUEST. However, if the
sample utilizes alleles not in the germline database used for alignment, this
step will fail. Additionally, this alignment has an associated error rate of
~5%, notably among sequences carrying a large number of somatic mutations.
The purpose of TIgGER is to address these issues.
}
\references{
Gadala-Maria et al. (2015) Automated analysis of high-throughput B cell sequencing data reveals a high frequency of novel immunoglobulin V gene segment alleles. PNAS. 112(8):E862-70
}

