% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/genotype.R
\name{writeFasta}
\alias{writeFasta}
\title{Write nucleotide sequences to a fasta file}
\usage{
writeFasta(named_sequences, file, char_per_line = 60)
}
\arguments{
\item{named_sequences}{a vector of nucleotide sequences}

\item{file}{a character string naming the file to write to}

\item{char_per_line}{how many characters should be printed per line}
}
\value{
Saves a fasta file containing the sequences of interest
}
\description{
\code{writeFasta} write a vector of nucleotide sequences to a file
}
\examples{
\dontrun{
## Load example IGHV germlines and write them to a fasta file
data(germline_ighv)
writeFasta(germline_ighv, file="germline_ighv.fasta")
}
}

